#!/bin/bash

current_date=$(date +'%B %Y')

# Check if JOOMLA_USER is set, otherwise prompt for it
if [ -z "$JOOMLA_USER" ]; then
    read -p "Enter the Joomla user: " JOOMLA_USER
fi

# Check if EMAIL is set, otherwise prompt for it
if [ -z "$EMAIL" ]; then
    read -p "Enter the email address: " EMAIL
fi

cat <<EOM > ${name}.xml
<?xml version="1.0" encoding="UTF-8"?>
<extension type="component" method="upgrade">
	<name>com_${name}</name>
	<creationDate>${current_date}</creationDate>
	<author>${JOOMLA_USER}</author>
	<authorEmail>${EMAIL}</authorEmail>
	<authorUrl>https://www.example.com/</authorUrl>
	<copyright>Copyright (C) 2023 ${JOOMLA_USER}, All rights reserved.</copyright>
	<license>GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html</license>

	<!--  The version string is recorded in the components table -->
	<version>0.0.1</version>

	<!-- The description is optional and defaults to the name -->
	<description>COM_${name^^}_DESCRIPTION</description>

	<namespace path="src">harvst\Component\com_${name}</namespace>
	
	<administration>
		<!-- The link that will appear in the Admin panel's "Components" menu -->
        <menu link="index.php?option=com_${name}">${name}</menu>
		<files folder="admin">
			<folder>language</folder>
		</files>
		
	</administration>
</extension>
EOM

 