#!/bin/bash

# Are you root?
if [ "$EUID" -ne 0 ]; then
    echo -e "\033[0;31mThis script must be run as root.\033[0m"
    exit 1
fi

# Load environment variables from .env file
set -o allexport
source .env
set +o allexport

PROJECTNAME=$(basename "$(pwd)")

if [ "$DEBUG" = "true" ]; then
    docker ps
fi

rm -f html/index.html

docker-compose up -d

docker-compose ps