#!/bin/bash

# Are you root?
if [ "$EUID" -ne 0 ]; then
    echo -e "\033[0;31mThis script must be run as root.\033[0m"
    exit 1
fi

PROJECTNAME=$(basename "$(pwd)")

# Remove crap files
rm -f html/web.config.txt
rm -f html/htaccess.txt
rm -f html/LICENSE.txt
rm -f html/README.txt

# Set configuration.php
docker-compose exec -u www-data joomla php cli/joomla.php config:set error_reporting=none
docker-compose exec -u www-data joomla php cli/joomla.php config:set offset=America/Vancouver
docker-compose exec -u www-data joomla php cli/joomla.php config:set sef_rewrite=true

# remove unused files from install
rm -rf bin/inc_new_project
rm -rf bin/new_project.sh
rm -rf bin/setup_joomla_installer.sh

echo "Now check the results and commit them to Git"